Bug 1194117 - winpdb has UI issues with wxPython 3 in F22/Rawhide
Summary: winpdb has UI issues with wxPython 3 in F22/Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: winpdb
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-19 04:17 UTC by Scott Talbert
Modified: 2015-04-21 18:51 UTC (History)
1 user (show)

Fixed In Version: winpdb-1.4.8-9.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:51:51 UTC
Type: Bug


Attachments (Terms of Use)
screenshot (156.84 KB, image/png)
2015-02-19 04:17 UTC, Scott Talbert
no flags Details

Description Scott Talbert 2015-02-19 04:17:09 UTC
Created attachment 993401 [details]
screenshot

In F22/Rawhide, wxPython has been updated to version 3.0.  Unfortunately, this has resulted in some UI issues with winpdb (see attached screenshot):

a) The menu buttons are not sized correctly.
b) The main windows (Namespace/Source) are not sized correctly.
c) The Help->About dialog doesn't display correctly.

There are some GTK errors logged which may be related to some of the above:
(winpdb:19139): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion 'height >= -1' failed

(winpdb:19139): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion 'height >= -1' failed

(winpdb:19139): Gtk-CRITICAL **: gtk_widget_set_size_request: assertion 'height >= -1' failed

Debian has patched their version of winpdb to support wxPython 3.0.  It is possible their patch may help with some of these issues:
https://sources.debian.net/data/main/w/winpdb/1.4.8-2.1/debian/patches/wxpython3.0.patch

Comment 1 Tom "spot" Callaway 2015-04-01 15:34:13 UTC
I'm not skilled enough with wxPython to rework the UI here. The Debian patch is pretty straightforward, so I'll apply it, but I don't think it resolves most of the layout sizing issues. The app still seems to be functional, so I'll just make an update with the debian patch applied. If someone else would like to send over a patch to improve the UI sizing, I'd definitely consider it.

Comment 2 Fedora Update System 2015-04-01 15:49:34 UTC
winpdb-1.4.8-9.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/winpdb-1.4.8-9.fc22

Comment 3 Fedora Update System 2015-04-02 01:41:46 UTC
Package winpdb-1.4.8-9.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing winpdb-1.4.8-9.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5269/winpdb-1.4.8-9.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-21 18:51:51 UTC
winpdb-1.4.8-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.